Loading...
Searching...
No Matches
BALL::VIEW::TransformationEvent6D Class Reference

`#include <BALL/VIEW/INPUT/transformationEvent6D.h>`

Inheritance diagram for BALL::VIEW::TransformationEvent6D:

## Public Member Functions

| TransformationEvent6D (InputDeviceDriver *dev, double x, double y, double z, double a, double b, double c)
const Vector3 & | getTranslation ()
const Vector3 & | getRotation ()
Public Member Functions inherited from BALL::VIEW::DeviceEvent
| DeviceEvent (EventsIDs type, InputDeviceDriver *device)
InputDeviceDriver * | getDevice ()

## Detailed Description

Definition at line 13 of file transformationEvent6D.h.

## Constructor & Destructor Documentation

## TransformationEvent6D()

BALL::VIEW::TransformationEvent6D::TransformationEvent6D | ( | InputDeviceDriver * | dev,
|  | double | x,
|  | double | y,
|  | double | z,
|  | double | a,
|  | double | b,
|  | double | c )

## Member Function Documentation

## getRotation()

const Vector3 & BALL::VIEW::TransformationEvent6D::getRotation | ( |  | ) |

inline

Definition at line 20 of file transformationEvent6D.h.

## getTranslation()

const Vector3 & BALL::VIEW::TransformationEvent6D::getTranslation | ( |  | ) |

inline

Definition at line 19 of file transformationEvent6D.h.